package com.muyu.domain.req;

import com.muyu.domain.CarFenceGroup;
import com.muyu.domain.CarInformation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.domain.req
 * @Project：cloud-server-8
 * @name：CarGroupReq
 * @Date：2024/9/23 12:01
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "车辆电子围栏响应参数")
public class CarGroupReq {
    /**
     * 车辆
     */

    private List<CarInformation> carInformations;
    /**
     * 围栏组
     */
    private List<CarFenceGroup> carFenceGroups;

}
