package com.muyu.server.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.muyu.domain.CarMessage;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author 17353
 */
@Mapper
public interface CarMessageMapper extends MPJBaseMapper<CarMessage> {
    /**
     * 根据所属车类别 解析 车辆报文模板
     * @param
     * @return
     */
    List<CarMessage> selectCarMessageList();


    /**
     * 添加车辆报文规则
     */
    Integer insertCarMessage(CarMessage carMessage);


    /**
     * 删除车辆报文规则
     */
    Integer deleteByCarMessageId(Integer carMessageId);

    /**
     * 修改车辆报文规则
     */
    Integer updateCarMessage(CarMessage carMessage);

}
